## bitstream 1.0

=== Makefile ===
PREFIX ?= /usr/local
INCLUDE = $(subst //,/,$(DESTDIR)/$(PREFIX)/include/bitstream)
VERSION = 1.0

all:
	@echo "Run \"make install\" to install biTStream into $(INCLUDE)"

install:
	@echo "INSTALL  $(INCLUDE)"
	@install -d $(INCLUDE)
	@install -m 644 common.h $(INCLUDE)/
	@install -d $(INCLUDE)/dvb
	@install -m 644 dvb/*.h $(INCLUDE)/dvb
	@install -d $(INCLUDE)/dvb/si
	@install -m 644 dvb/si/*.h $(INCLUDE)/dvb/si
	@install -d $(INCLUDE)/ietf
	@install -m 644 ietf/* $(INCLUDE)/ietf
	@install -d $(INCLUDE)/mpeg
	@install -m 644 mpeg/*.h $(INCLUDE)/mpeg
	@install -d $(INCLUDE)/mpeg/psi
	@install -m 644 mpeg/psi/*.h $(INCLUDE)/mpeg/psi

uninstall:
	@echo "REMOVE   $(INCLUDE)"
	@rm -rf $(INCLUDE)

distcheck:
	git archive --format=tar --prefix=bitstream-$(VERSION)/ master | bzip2 -9 > bitstream-$(VERSION).tar.bz2

.PHONY: install uninstall distcheck

=== examples/Makefile ===
CFLAGS = -Wall -O2 -g
CFLAGS_LOCAL = -Wall -O2 -g -I. -I../..
LDFLAGS = 
OBJ = dvb_print_si dvb_gen_si dvb_ecmg dvb_ecmg_test mpeg_print_pcr rtp_check_seqnum

ifeq "$(shell uname -s)" "Darwin"
LDFLAGS += -liconv
# Prevent generation of .dSYM debug directories
CFLAGS += -gstabs
CFLAGS_LOCAL += -gstabs
endif

all: $(OBJ)

%: %.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

local: CFLAGS = $(CFLAGS_LOCAL)
local: all

clean:
	rm -rf $(OBJ)

=== debian/changelog ===
bitstream (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #653218)

 -- Alessio Treglia <alessio@debian.org>  Sun, 25 Dec 2011 14:08:57 +0100

=== debian/control ===
Source: bitstream
Section: libdevel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/bitstream.git 
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/bitstream.git
Homepage: http://git.videolan.org/?p=bitstream.git

Package: libbitstream-dev
Architecture: all
Depends: ${misc:Depends}
Description: access to binary structures such as specified by MPEG, DVB, IETF and more
 biTStream is a set of C headers allowing a simpler access
 to binary structures such as specified by MPEG, DVB, IETF,
 etc.
 .
 If compared with libdvbpsi, biTStream is lower level, and
 more efficient: fewer memory allocations, fewer memory
 copies. It also features a better separation between layers
 and specifications.

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=$(CURDIR)/debian/libbitstream-dev
export PREFIX=/usr

%:
	dh $@ -Smakefile

=== debian/watch ===
version=3
http://download.videolan.org/pub/videolan/bitstream/([\d][\d\.]+[a-z]?)/bitstream-([\d][\d\.]+[a-z]?)\.tar\.bz2

## bitstream 1.1

=== Makefile ===
PREFIX ?= /usr/local
INCLUDE = $(subst //,/,$(DESTDIR)/$(PREFIX)/include/bitstream)
VERSION = 1.1

all:
	@echo "Run \"make install\" to install biTStream into $(INCLUDE)"

install:
	@echo "INSTALL  $(INCLUDE)"
	@install -d $(INCLUDE)
	@install -m 644 common.h $(INCLUDE)/
	@install -d $(INCLUDE)/atsc
	@install -m 644 atsc/*.h $(INCLUDE)/atsc
	@install -d $(INCLUDE)/dvb
	@install -m 644 dvb/*.h $(INCLUDE)/dvb
	@install -d $(INCLUDE)/dvb/si
	@install -m 644 dvb/si/*.h $(INCLUDE)/dvb/si
	@install -d $(INCLUDE)/ietf
	@install -m 644 ietf/* $(INCLUDE)/ietf
	@install -d $(INCLUDE)/ieee
	@install -m 644 ieee/* $(INCLUDE)/ieee
	@install -d $(INCLUDE)/mpeg
	@install -m 644 mpeg/*.h $(INCLUDE)/mpeg
	@install -d $(INCLUDE)/mpeg/psi
	@install -m 644 mpeg/psi/*.h $(INCLUDE)/mpeg/psi
	@install -d $(INCLUDE)/scte
	@install -m 644 scte/*.h $(INCLUDE)/scte

uninstall:
	@echo "REMOVE   $(INCLUDE)"
	@rm -rf $(INCLUDE)

dist:
	git archive --format=tar --prefix=bitstream-$(VERSION)/ master | bzip2 -9 > bitstream-$(VERSION).tar.bz2

.PHONY: install uninstall distcheck

=== examples/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CFLAGS = -Wall -O2 -g
 CFLAGS_LOCAL = -Wall -O2 -g -I. -I../..
-LDFLAGS = 
-OBJ = dvb_print_si dvb_gen_si dvb_ecmg dvb_ecmg_test mpeg_print_pcr rtp_check_seqnum
+LDFLAGS = -lrt
+OBJ = dvb_print_si dvb_gen_si dvb_ecmg dvb_ecmg_test mpeg_print_pcr rtp_check_seqnum mpeg_restamp
 
 ifeq "$(shell uname -s)" "Darwin"
 LDFLAGS += -liconv

=== debian/changelog ===
bitstream (1.1-2) unstable; urgency=medium

  * Team upload
  * Update Homepage field
  * Remove myself from the Uploaders list

 -- Alessio Treglia <alessio@debian.org>  Tue, 13 Dec 2016 19:02:18 +0000

bitstream (1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Bump compat to 9.
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper B-D to (>= 9).
    - Update Vcs-*.
    - Add myself to Uploaders.
  * debian/copyright: Update copyright years.
  * debian/rules: Install NEWS as changelog.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Jan 2016 15:12:55 +0100

=== debian/control ===
Source: bitstream
Section: libdevel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Rémi Duraffort <ivoire@videolan.org>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/bitstream.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/bitstream.git
Homepage: https://code.videolan.org/videolan/bitstream

Package: libbitstream-dev
Architecture: all
Depends: ${misc:Depends}
Description: C headers giving access to binary streams like MPEG or DVB
 biTStream is a set of C headers allowing a simpler access
 to binary structures such as specified by MPEG, DVB, IETF,
 etc.
 .
 The goal of this package is to offer a simpler access that
 libdvbpsi does currently. This package is also lower level
 and more efficient: fewer memory allocations, fewer memory
 copies.

## bitstream 1.2

=== debian/changelog ===
bitstream (1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Jun 2017 00:25:28 +0200

bitstream (1.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/{control,compat}: Bump debhelper compat to 10.
  * debian/copyright: Update copyright holders and years.
  * debian/control: Update Vcs-Git.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 Feb 2017 13:28:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Rémi Duraffort <ivoire@videolan.org>,
  Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/bitstream.git
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/bitstream.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/bitstream.git
 Homepage: https://code.videolan.org/videolan/bitstream

## bitstream 1.3

=== examples/Makefile ===
PREFIX ?= /usr/local
WARN = -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare
CPPFLAGS = -I.
CFLAGS := $(WARN) -O2 -g $(CFLAGS)
LDFLAGS := -lrt $(LDFLAGS)
OBJ = dvb_print_si dvb_gen_si dvb_ecmg dvb_ecmg_test mpeg_print_pcr rtp_check_seqnum mpeg_restamp

ifeq "$(shell uname -s)" "Darwin"
LDLIBS += -liconv
# Prevent generation of .dSYM debug directories
CFLAGS += -gstabs
endif

all: $(OBJ)

%: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LDLIBS)

install: $(OBJ)
	install -d "$(DESTDIR)$(PREFIX)/bin"
	install -m 755 $(OBJ) "$(DESTDIR)$(PREFIX)/bin"

clean:
	$(RM) $(OBJ)

=== debian/changelog ===
bitstream (1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Move to salsa.debian.org.
  * debian/: Bump debhelper compat to 11.
  * debian/: Update copyright info.
  * debian/patches: Install pkg-config file to arch-indep location.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Feb 2018 19:32:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Rémi Duraffort <ivoire@videolan.org>,
  Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/bitstream.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/bitstream.git
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/multimedia-team/bitstream.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/bitstream
 Homepage: https://code.videolan.org/videolan/bitstream
 
 Package: libbitstream-dev

## bitstream 1.4

=== debian/changelog ===
bitstream (1.4-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Jul 2018 21:07:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: bitstream
 Section: libdevel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Rémi Duraffort <ivoire@videolan.org>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/multimedia-team/bitstream.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bitstream
 Homepage: https://code.videolan.org/videolan/bitstream

## bitstream 1.5

=== examples/Makefile ===
PREFIX ?= /usr/local
WARN = -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare
CPPFLAGS = -I. -I.. -I../..
CFLAGS := $(WARN) -O2 -g $(CFLAGS)
OBJ = dvb_print_si dvb_gen_si dvb_ecmg dvb_ecmg_test mpeg_print_pcr rtp_check_seqnum mpeg_restamp

ifeq "$(shell uname -s)" "Linux"
LDFLAGS += -lrt
endif

ifeq "$(shell uname -s)" "Darwin"
LDFLAGS += -liconv
endif

all: $(OBJ)

%: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LDLIBS)

install: $(OBJ)
	install -d "$(DESTDIR)$(PREFIX)/bin"
	install -m 755 $(OBJ) "$(DESTDIR)$(PREFIX)/bin"

clean:
	$(RM) -rf $(OBJ) *.dSYM

=== debian/changelog ===
bitstream (1.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Apply multi-arch hints. + libbitstream-dev: Add Multi-Arch: foreign.
    (Closes: #940211)

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version
    - Set RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 16:08:29 +0200

bitstream (1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 08 Nov 2018 22:30:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Uploaders:
  Rémi Duraffort <ivoire@videolan.org>,
  Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/bitstream.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bitstream
 Homepage: https://code.videolan.org/videolan/bitstream
+Rules-Requires-Root: no
 
 Package: libbitstream-dev
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: C headers giving access to binary streams like MPEG or DVB
  biTStream is a set of C headers allowing a simpler access
  to binary structures such as specified by MPEG, DVB, IETF,

=== debian/watch ===
version=4
https://download.videolan.org/pub/videolan/bitstream/([\d][\d\.]+[a-z]?)/bitstream-([\d][\d\.]+[a-z]?)\.tar\.bz2

## bitstream 1.6

=== examples/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PREFIX ?= /usr/local
 WARN = -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare
 CPPFLAGS = -I. -I.. -I../..
-CFLAGS := $(WARN) -O2 -g $(CFLAGS)
+CFLAGS := $(WARN) -O2 -g -std=gnu99 $(CFLAGS)
 OBJ = dvb_print_si dvb_gen_si dvb_ecmg dvb_ecmg_test mpeg_print_pcr rtp_check_seqnum mpeg_restamp
 
 ifeq "$(shell uname -s)" "Linux"

=== debian/changelog ===
bitstream (1.6-1) unstable; urgency=medium

  * New upstream version 1.6
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
  * debian/cypright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Nov 2025 10:22:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Rémi Duraffort <ivoire@videolan.org>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/bitstream.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bitstream
 Homepage: https://code.videolan.org/videolan/bitstream
-Rules-Requires-Root: no
 
 Package: libbitstream-dev
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://download.videolan.org/pub/videolan/bitstream/@ANY_VERSION@/
Matching-Pattern: bitstream-@ANY_VERSION@\.tar\.bz2
